﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization;

namespace KlodsClassLibrary
{
    public static class GlobaleData
    {
        private static RektankelKartotek _rektankelKartoteket;
        public static RektankelKartotek RektankelKartoteket
        {
            get
            {
                if (GlobaleData._rektankelKartoteket == null)
                {
                    GlobaleData._rektankelKartoteket = new RektankelKartotek();
                }
                return GlobaleData._rektankelKartoteket;
            }

        }

        public static void SaveRektangelKartotek(string filename = "RektKart.xml")
        {
            FileStream outStream = new FileStream(filename, FileMode.Create);
            DataContractSerializer ser = new DataContractSerializer(typeof(RektankelKartotek));
            ser.WriteObject(outStream, GlobaleData.RektankelKartoteket);
            outStream.Close();
        }
        public static void LoadRektangelkartotek(string filename = "RektKart.xml") // pas på::::
        { 
            FileStream inStream = new FileStream(filename, FileMode.Open);
            DataContractSerializer ser = new DataContractSerializer(typeof(RektankelKartotek));
            GlobaleData._rektankelKartoteket = ser.ReadObject(inStream) as RektankelKartotek;
            inStream.Close();
        }

        public static void SaveJsonRektangelKartotek(string filename = "RektKart.txt")
        {
            FileStream outStream = new FileStream(filename, FileMode.Create);
            System.Runtime.Serialization.Json.DataContractJsonSerializer ser
                = new System.Runtime.Serialization.Json.DataContractJsonSerializer(typeof(RektankelKartotek));
            ser.WriteObject(outStream, GlobaleData.RektankelKartoteket);
            outStream.Close();
        }

        public static void LoadJsonRektangelkartotek(string filename = "RektKart.txt") // pas på::::
        {
            FileStream inStream = new FileStream(filename, FileMode.Open);
            System.Runtime.Serialization.Json.DataContractJsonSerializer ser
                = new System.Runtime.Serialization.Json.DataContractJsonSerializer(typeof(RektankelKartotek));
            GlobaleData._rektankelKartoteket = ser.ReadObject(inStream) as RektankelKartotek;
            inStream.Close();
        }

        /// Session data
        /// 

        public static List<Rektangel> UdvalgtRektangelListe { get; set; }
        public static Rektangel UdvalgtRekangel { get; set; }
    }
}
